#!/bin/sh -v

if [ "${EHCACHE_ACTIVEMQ_BROKERURL}" != "" ]; then
    echo Replace EhCache ActiveMQ Broker URL ${EHCACHE_ACTIVEMQ_BROKERURL}
    sed "s~\(providerURL=\).*$~\1${EHCACHE_ACTIVEMQ_BROKERURL},~" ../webapps/*/WEB-INF/classes/ehcache.xml | sed "s~\(userName=\).*$~\1${EHCACHE_ACTIVEMQ_USER},~;s~\(password=\).*$~\1${EHCACHE_ACTIVEMQ_PASSWORD},~" > ehcache.xml.new
    cp ehcache.xml.new ../webapps/*/WEB-INF/classes/ehcache.xml
fi

if [ "${REPLACE_CONFIGUREREDISACTION_NO_OP}" = "true" ]; then
    echo Replace wagby-servlet.xml ConfigureRedisAction.NO_OP
    sed 's/^<\/beans>/<util:constant static-field="org.springframework.session.data.redis.config.ConfigureRedisAction.NO_OP"\/>&/' ../webapps/*/WEB-INF/wagby-servlet.xml > wagby-servlet.xml.new
    cp wagby-servlet.xml.new ../webapps/*/WEB-INF/wagby-servlet.xml
fi

if [ "${DB}" = "mysql" -o "${DB}" = "mysql6" -o "${DB}" = "mysql8"   -o "${DB}" = "mariadb" ]; then
echo "Waiting for mysql"
  while :
  do
    result=`/usr/bin/mysqladmin ping -h"$MYSQL_HOST" -u"$MYSQL_USER" -p"$MYSQL_PASSWORD"`
    if echo $result|grep 'alive'; then
      break
    fi
    sleep 3;
  done
echo "MySQL is up - executing command"
elif [ "${DB}" = "hsqldb" ]; then
echo "use $DB"
else
echo "Can't use unknown DB $DB"
exit 1
fi

ALREADY_INIT_DB_FILE=../../upload_dir/already_init_db.lck
if [ "${DB}" != "hsqldb" -a "${INIT_DB}" = "true" -a ! -f "${ALREADY_INIT_DB_FILE}" ]; then
./init_db.sh
touch "${ALREADY_INIT_DB_FILE}"
fi

if [ ! -e ../../export/data_init ]; then
    echo "Copy init data in export/data_init"
    mkdir -p ../../export/data_init
    cp -R ../webapps/*/WEB-INF/export/init/ ../../export/data_init
fi

./catalina.sh run

